<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<script src="jquery-3.2.1.js">
</script>
<script>
    $(document).ready(function () {
        $("#form1").submit(function (e) {
            var maxNum = $("input[name='numOfTitles']").val();
            $("input[name='numOfTitles']").val("");
            e.preventDefault();
            for (i = 1; i <= maxNum; i++) {
                $("#div1").empty();
                GetPost(i);
            }
        });
        function GetPost(i) {
            var title;
            var body;
            var actionurl = 'https://jsonplaceholder.typicode.com/posts/';

            $.ajax({
                url: actionurl + i,
                type: 'get',
                dataType: 'json',
                success: function (data) {
                    $("#div1").append("<h1>" + data.title + "</h1>");
                    $("#div1").append("<h3 style='color : red'>" + data.body + "</h3>");
                }

            });
        }

    });
</script>
</head>
<body>
    <form id="form1">
        <label>Insert number:
            <input type=number min="1" max="25" name="numOfTitles">
        </label>
        <input type="submit" value="Get">
    </form>

<div id="div1"></div>
</body>
</html>
